max length of randomLen for C_GenerateRandom

classic Classic list List threaded Threaded
24 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Re: Cyberjack e-com on openSuse 42.2 fails

Wolfgang Rosenauer-6


On Thu, Jul 13, 2017 at 2:21 PM, wully <[hidden email]> wrote:

Hi Wolfgang

Thank you for your help! Very interesting: with this package, installed with zypper and forcing older version, the reader works!

Sorry, what do you have installed exactly now while it works?
Exact versions of pcsc-lite and pcsc-cyberjack (in best case rpm -qi for both).


Wolfgang

_______________________________________________
Pcsclite-muscle mailing list
[hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pcsclite-muscle
Reply | Threaded
Open this post in threaded view
|

Re: Cyberjack e-com on openSuse 42.2 fails

wully
Hi Wolfgang


Here the informations for suse13.2 and 42.2:



  rpm -qi pcsc-lite

Name        : pcsc-lite
Version     : 1.8.11
Release     : 4.7.1
Architecture: x86_64
Install Date: Die 17 Jan 2017 12:21:28 CET
Group       : Productivity/Security
Size        : 141876
License     : BSD-3-Clause
Signature   : RSA/SHA256, Die 10 Jan 2017 08:40:08 CET, Key ID
b88b2fd43dbdc284
Source RPM  : pcsc-lite-1.8.11-4.7.1.src.rpm
Build Date  : Die 10 Jan 2017 08:39:59 CET
Build Host  : build81
Relocations : (not relocatable)
Packager    : http://bugs.opensuse.org
Vendor      : openSUSE
URL         : http://pcsclite.alioth.debian.org/
Summary     : PCSC Smart Cards Library
Description :
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in
a very small form factor for communication with smart cards and
readers. PCSC Lite can be compiled directly for a desired reader driver
or can be used to dynamically allocate/deallocate reader drivers at
runtime (the default behavior).

PCSC Lite uses the same winscard API as used in Windows(R).

Security aware people should read the SECURITY file for possible
vulnerabilities of pcsclite and how to fix them. For information on how
to install drivers please read the DRIVERS file.

Memory cards will be supported through the MCT specification, which is
an APDU like manner sent normally through the SCardTransmit() function.
This functionality is exercised in the driver.
Distribution: openSUSE 13.2


rpm -qi pcsc-cyberjack

Name        : pcsc-cyberjack
Version     : 3.99.5final.SP05
Release     : 4.1.3
Architecture: x86_64
Install Date: Sam 17 Jan 2015 12:17:13 CET
Group       : Productivity/Security
Size        : 1106807
License     : LGPL-2.1+
Signature   : RSA/SHA256, Don 25 Sep 2014 20:40:45 CEST, Key ID
b88b2fd43dbdc284
Source RPM  : pcsc-cyberjack-3.99.5final.SP05-4.1.3.src.rpm
Build Date  : Don 25 Sep 2014 20:40:25 CEST
Build Host  : build05
Relocations : (not relocatable)
Packager    : http://bugs.opensuse.org
Vendor      : openSUSE
URL         : http://www.reiner-sct.de/support/treiber_cyberjack.php
Summary     : PC/SC IFD Handler for the Reiner SCT Cyberjack
USB-SmartCard Readers
Description :
This package includes the PC/SC IFD handler for the Reiner SCT
Cyberjack pinpad/e-com/RFID USB chipcard readers.

This driver is meant to be used with the PCSC-Lite daemon from the
pcsc-lite package.
Distribution: openSUSE 13.2


on 42.2, the command gives much less info:
 >>>>>>>>>>>>>>>>>>>>>>>> 42.2:
  rpm -iq pcsc-lite
pcsc-lite-1.8.22-1.1.x86_64

rpm -iq pcsc-cyberjack
pcsc-cyberjack-3.99.5final.SP08-1.2.x86_64

<<<<<<<<<<<<<<<<<<<<<<<< end 42.2 info


What is strange: when calling opensc-tool -l twice, the first call is
ok, but the second call hangs!!!!

wully

_______________________________________________
Pcsclite-muscle mailing list
[hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pcsclite-muscle
Reply | Threaded
Open this post in threaded view
|

Re: Cyberjack e-com on openSuse 42.2 fails

wully
correction: the hanging is not coming when just calling opensc-tool -l
many times, but when some other activities are done inbetween the calls.
The reconstruction of the events is not yet clear to me.
wully

_______________________________________________
Pcsclite-muscle mailing list
[hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pcsclite-muscle
Reply | Threaded
Open this post in threaded view
|

Re: Cyberjack e-com on openSuse 42.2 fails

Wolfgang Rosenauer-6
In reply to this post by wully


On Thu, Jul 13, 2017 at 6:54 PM, wully <[hidden email]> wrote:
Hi Wolfgang


on 42.2, the command gives much less info:
>>>>>>>>>>>>>>>>>>>>>>>> 42.2:
 rpm -iq pcsc-lite
pcsc-lite-1.8.22-1.1.x86_64

rpm -iq pcsc-cyberjack
pcsc-cyberjack-3.99.5final.SP08-1.2.x86_64

<<<<<<<<<<<<<<<<<<<<<<<< end 42.2 info

-qi not -iq ;-)

And the SP08 version works for you, right?
 


What is strange: when calling opensc-tool -l twice, the first call is ok, but the second call hangs!!!!

Not really sure but there is something in combination between cyberjack and pcsc-lite which crashes and stays in a limbo state.
That is the case since years and I think was also discussed on this list before. At least I need to unplug/plug my reader almost after every use :-(


Wolfgang

_______________________________________________
Pcsclite-muscle mailing list
[hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pcsclite-muscle
12